## aoeui 1.1.0

=== Makefile ===
VERSION = 1.1.0
PACKAGE = aoeui-$(VERSION)
SRCS = main.c mem.c die.c display.c text.c file.c locus.c buffer.c \
	undo.c utf8.c window.c util.c clip.c mode.c search.c \
	child.c bookmark.c help.c find.c tags.c tab.c fold.c macro.c
HDRS = all.h buffer.h mode.h text.h locus.h utf8.h display.h \
	window.h util.h clip.h macro.h
RELS = $(SRCS:.c=.o)
INST_DIR = $(DESTDIR)/usr
CFLAGS += -Wall -Wno-parentheses \
-Wpointer-arith -Wcast-align -Wwrite-strings -Wstrict-prototypes \
-Wmissing-prototypes -Wmissing-declarations
# -Werror
LIBS = -lutil
# BSD users may need -lcompat as well

default: aoeui
aoeui: $(RELS)
	$(CC) $(CFLAGS) -o $@ $(RELS) $(LIBS)
$(RELS): $(HDRS)
aoeui.1.gz: aoeui.1
	gzip -9 -c aoeui.1 >$@
asdfg.1.gz: asdfg.1
	gzip -9 -c asdfg.1 >$@
aoeui.1.html: aoeui.1
	man2html aoeui.1 >$@
asdfg.1.html: asdfg.1
	man2html asdfg.1 >$@
aoeui.1: aoeui.1.m4
	m4 aoeui.1.m4 >$@
asdfg.1: aoeui.1.m4
	m4 -D ASDFG aoeui.1.m4 >$@

optimized: clean
	$(MAKE) CFLAGS="-O3"
debug: clean
	$(MAKE) CFLAGS="-g -O0"
profile: clean
	$(MAKE) CFLAGS="-pg" LIBS="$(LIBS) -pg"

TAGS: $(SRCS) $(HDRS)
	ctags -x $(SRCS) $(HDRS) >$@

install: aoeui aoeui.1.gz asdfg.1.gz
	install -d $(INST_DIR)/bin
	install -d $(INST_DIR)/share/aoeui
	install -d $(INST_DIR)/share/man/man1
	install aoeui $(INST_DIR)/bin
	ln -nf $(INST_DIR)/bin/aoeui $(INST_DIR)/bin/asdfg
	install *.txt $(INST_DIR)/share/aoeui
	install *.1.gz $(INST_DIR)/share/man/man1
clean:
	rm -f *.o core gmon.out screenlog.*
clobber: clean
	rm -f aoeui TAGS aoeui.1 asdfg.1 aoeui.1.gz asdfg.1.gz \
		aoeui.1.html asdfg.1.html
spotless: clobber
	rm -f *~ *.tgz
release: spotless
	rm -rf .tar
	mkdir .tar
	find . | egrep -v '/\.' | egrep -v '[~#]' | cpio -o | (cd .tar; cpio -id)
	mv .tar $(PACKAGE)
	ls -CF $(PACKAGE)
	tar czf $(PACKAGE).tgz $(PACKAGE)
	rm -rf $(PACKAGE)

## aoeui 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.1.0
+VERSION = 1.1.1
 PACKAGE = aoeui-$(VERSION)
 SRCS = main.c mem.c die.c display.c text.c file.c locus.c buffer.c \
 	undo.c utf8.c window.c util.c clip.c mode.c search.c \
@@ -11,8 +11,11 @@
 -Wpointer-arith -Wcast-align -Wwrite-strings -Wstrict-prototypes \
 -Wmissing-prototypes -Wmissing-declarations
 # -Werror
-LIBS = -lutil
+# Some systems need:
+# LIBS = -lutil
 # BSD users may need -lcompat as well
+# CTAGS = exuberant-ctags
+CTAGS = ctags
 
 default: aoeui
 aoeui: $(RELS)
@@ -39,7 +42,7 @@
 	$(MAKE) CFLAGS="-pg" LIBS="$(LIBS) -pg"
 
 TAGS: $(SRCS) $(HDRS)
-	ctags -x $(SRCS) $(HDRS) >$@
+	$(CTAGS) -x $(SRCS) $(HDRS) >$@
 
 install: aoeui aoeui.1.gz asdfg.1.gz
 	install -d $(INST_DIR)/bin

## aoeui 1.3

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,28 @@
-VERSION = 1.1.1
+VERSION = 1.3
 PACKAGE = aoeui-$(VERSION)
 SRCS = main.c mem.c die.c display.c text.c file.c locus.c buffer.c \
 	undo.c utf8.c window.c util.c clip.c mode.c search.c \
-	child.c bookmark.c help.c find.c tags.c tab.c fold.c macro.c
+	child.c bookmark.c help.c find.c tags.c tab.c fold.c macro.c \
+	keyword.c
 HDRS = all.h buffer.h mode.h text.h locus.h utf8.h display.h \
 	window.h util.h clip.h macro.h
 RELS = $(SRCS:.c=.o)
 INST_DIR = $(DESTDIR)/usr
-CFLAGS += -Wall -Wno-parentheses \
+CFLAGS = -Wall -Wno-parentheses \
 -Wpointer-arith -Wcast-align -Wwrite-strings -Wstrict-prototypes \
 -Wmissing-prototypes -Wmissing-declarations
 # -Werror
-# Some systems need:
+
+# Linux and perhaps other systems need to uncomment this line:
 # LIBS = -lutil
-# BSD users may need -lcompat as well
+# BSD users may need -lcompat as well in LIBS
+
+# Uncomment this line if you want to develop aoeui yourself with exuberant-ctags
 # CTAGS = exuberant-ctags
 CTAGS = ctags
 
-default: aoeui
+default: optimized aoeui.1 asdfg.1
+
 aoeui: $(RELS)
 	$(CC) $(CFLAGS) -o $@ $(RELS) $(LIBS)
 $(RELS): $(HDRS)
@@ -34,12 +39,12 @@
 asdfg.1: aoeui.1.m4
 	m4 -D ASDFG aoeui.1.m4 >$@
 
-optimized: clean
-	$(MAKE) CFLAGS="-O3"
+optimized:
+	$(MAKE) CFLAGS="-O3 $(CFLAGS)" aoeui
 debug: clean
-	$(MAKE) CFLAGS="-g -O0"
+	$(MAKE) CFLAGS="-g -O0 $(CFLAGS)" aoeui
 profile: clean
-	$(MAKE) CFLAGS="-pg" LIBS="$(LIBS) -pg"
+	$(MAKE) CFLAGS="-pg $(CFLAGS)" LIBS="$(LIBS) -pg" aoeui
 
 TAGS: $(SRCS) $(HDRS)
 	$(CTAGS) -x $(SRCS) $(HDRS) >$@
@@ -56,13 +61,13 @@
 	rm -f *.o core gmon.out screenlog.*
 clobber: clean
 	rm -f aoeui TAGS aoeui.1 asdfg.1 aoeui.1.gz asdfg.1.gz \
-		aoeui.1.html asdfg.1.html
+		aoeui.1.html asdfg.1.html unicode
 spotless: clobber
 	rm -f *~ *.tgz
 release: spotless
 	rm -rf .tar
 	mkdir .tar
-	find . | egrep -v '/\.' | egrep -v '[~#]' | cpio -o | (cd .tar; cpio -id)
+	find . | egrep -v '/2.0/' | egrep -v '/\.' | egrep -v '[~#]' | cpio -o | (cd .tar; cpio -id)
 	mv .tar $(PACKAGE)
 	ls -CF $(PACKAGE)
 	tar czf $(PACKAGE).tgz $(PACKAGE)

## aoeui 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.3
+VERSION = 1.4
 PACKAGE = aoeui-$(VERSION)
 SRCS = main.c mem.c die.c display.c text.c file.c locus.c buffer.c \
 	undo.c utf8.c window.c util.c clip.c mode.c search.c \
@@ -13,19 +13,24 @@
 -Wmissing-prototypes -Wmissing-declarations
 # -Werror
 
-# Linux and perhaps other systems need to uncomment this line:
-# LIBS = -lutil
-# BSD users may need -lcompat as well in LIBS
-
 # Uncomment this line if you want to develop aoeui yourself with exuberant-ctags
 # CTAGS = exuberant-ctags
 CTAGS = ctags
 
+STRINGIFY = sed 's/\\/\\\\/g;s/"/\\"/g;s/^/"/;s/$$/\\n"/'
+
 default: optimized aoeui.1 asdfg.1
 
-aoeui: $(RELS)
-	$(CC) $(CFLAGS) -o $@ $(RELS) $(LIBS)
+aoeui: $(RELS) libs
+	$(CC) $(CFLAGS) -o $@ $(RELS) `cat libs`
 $(RELS): $(HDRS)
+help.o: aoeui.help asdfg.help
+aoeui.help: help.m4
+	m4 help.m4 | $(STRINGIFY) >$@
+asdfg.help: help.m4
+	m4 -D ASDFG help.m4 | $(STRINGIFY) >$@
+libs:
+	if [ .`uname -s` = .Linux ]; then echo -lutil; fi >$@
 aoeui.1.gz: aoeui.1
 	gzip -9 -c aoeui.1 >$@
 asdfg.1.gz: asdfg.1
@@ -58,16 +63,15 @@
 	install *.txt $(INST_DIR)/share/aoeui
 	install *.1.gz $(INST_DIR)/share/man/man1
 clean:
-	rm -f *.o core gmon.out screenlog.*
+	rm -f *.o *.help libs core gmon.out screenlog.*
 clobber: clean
-	rm -f aoeui TAGS aoeui.1 asdfg.1 aoeui.1.gz asdfg.1.gz \
-		aoeui.1.html asdfg.1.html unicode
+	rm -f aoeui TAGS *.1 *.1.gz *.1.html unicode
 spotless: clobber
 	rm -f *~ *.tgz
 release: spotless
-	rm -rf .tar
+	rm -rf .tar $(PACKAGE) $(PACKAGE).tgz
 	mkdir .tar
-	find . | egrep -v '/2.0/' | egrep -v '/\.' | egrep -v '[~#]' | cpio -o | (cd .tar; cpio -id)
+	find . | egrep -v '/\.' | egrep -v '[~#]' | cpio -o | (cd .tar; cpio -id)
 	mv .tar $(PACKAGE)
 	ls -CF $(PACKAGE)
 	tar czf $(PACKAGE).tgz $(PACKAGE)

## aoeui 1.5~dfsg

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-VERSION = 1.4
+VERSION = 1.5
 PACKAGE = aoeui-$(VERSION)
 SRCS = main.c mem.c die.c display.c text.c file.c locus.c buffer.c \
 	undo.c utf8.c window.c util.c clip.c mode.c search.c \
 	child.c bookmark.c help.c find.c tags.c tab.c fold.c macro.c \
 	keyword.c
-HDRS = all.h buffer.h mode.h text.h locus.h utf8.h display.h \
-	window.h util.h clip.h macro.h
+HDRS = all.h buffer.h child.h mode.h text.h locus.h utf8.h display.h \
+	window.h util.h clip.h macro.h mem.h die.h types.h
 RELS = $(SRCS:.c=.o)
 INST_DIR = $(DESTDIR)/usr
 CFLAGS = -Wall -Wno-parentheses \
@@ -19,7 +19,7 @@
 
 STRINGIFY = sed 's/\\/\\\\/g;s/"/\\"/g;s/^/"/;s/$$/\\n"/'
 
-default: optimized aoeui.1 asdfg.1
+default: optimized display-test aoeui.1 asdfg.1
 
 aoeui: $(RELS) libs
 	$(CC) $(CFLAGS) -o $@ $(RELS) `cat libs`
@@ -31,6 +31,11 @@
 	m4 -D ASDFG help.m4 | $(STRINGIFY) >$@
 libs:
 	if [ .`uname -s` = .Linux ]; then echo -lutil; fi >$@
+
+display-test: display-test.o display.o mem.o utf8.o libs
+	$(CC) $(CFLAGS) -o $@ display-test.o display.o mem.o utf8.o `cat libs`
+display-test.o: types.h utf8.h display.h
+
 aoeui.1.gz: aoeui.1
 	gzip -9 -c aoeui.1 >$@
 asdfg.1.gz: asdfg.1
@@ -46,8 +51,10 @@
 
 optimized:
 	$(MAKE) CFLAGS="-O3 $(CFLAGS)" aoeui
+static:
+	$(MAKE) CFLAGS="-O3 $(CFLAGS) -static" aoeui
 debug: clean
-	$(MAKE) CFLAGS="-g -O0 $(CFLAGS)" aoeui
+	$(MAKE) CFLAGS="-g -O0 -DDEBUG $(CFLAGS)" aoeui
 profile: clean
 	$(MAKE) CFLAGS="-pg $(CFLAGS)" LIBS="$(LIBS) -pg" aoeui
 
@@ -65,7 +72,7 @@
 clean:
 	rm -f *.o *.help libs core gmon.out screenlog.*
 clobber: clean
-	rm -f aoeui TAGS *.1 *.1.gz *.1.html unicode
+	rm -f aoeui display-test unicode TAGS *.1 *.1.gz *.1.html
 spotless: clobber
 	rm -f *~ *.tgz
 release: spotless

=== debian/changelog ===
aoeui (1.5~dfsg-1) unstable; urgency=low

  * Imported upstream version 1.5
    - Update copyright holder years
    - Refreshed patches for new upstream release (03_txt_files.diff)
    - Put a note in copyright regarding DFSG repack
  * Set the correct installation destination in Makefile (04_inst_dir.diff)
  * Bumped standards version to 3.9.1
  * Debian source format 3.0 (quilt)
    - Dropped README.source, no longer needed
  * Ditch quilt HOWTO in README.source for DFSG notes
  * Bump to dh8
    - Dropped CDBS B-D
    - Compat level 8
    - Updated rules to dh8
  * Turned on DM-Upload-Allowed
  * Added Vcs-* tags
  * Don't install a copy of their homepage in our documentation
  * Don't install instructions on compiling aoeui
  * Added doc-base file
  * Update watch file to cope with ~dfsg

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 26 Oct 2010 16:57:51 -0400

aoeui (1.4-1) unstable; urgency=low

  * New upstream release
  * Dropped 02_makefile.diff , no longer required.
  * Refreshed 03_txt_files.diff
  * Updated debian/copyright to include the year 2009, added the word
    ``Copyright'' to (C) where it was lacking.
  * Fixed watch file to remove the .tgz from version number

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 28 Feb 2009 22:47:53 -0500

aoeui (1.3-1) unstable; urgency=low

  * New upstream release
  * Dropped 01_no_LO_in_manpages.diff since upstream applied it.
  * Refreshed 03_txt_files.diff
  * Updated watch file

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 16 Dec 2008 19:47:45 -0500

aoeui (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #495202)
  * Updated debian/watch since project moved to Google Code
  * Updated debian/copyright with the new year and specified the license
    version. Also included the license information for the ebuild file.
  * Uncomment the ``LIBS = -lutils'' line as directed in the Makefile's
    comments, 02_makefile.diff
  * Upstream install aoeui.txt and notes.txt in /usr/share/aoeui/ ... We'd
    rather install them in gzipped format under /usr/share/doc/aoeui. See
    03_txt_files.diff
  * Now installing aoeui.html and LOG
  * Changed from simple-patchsys to quilt.
  * Added a README.source
  * Updated long description
  * Updated 01_no_LO_in_manpages.diff (upstream changed aoeui.1.m4)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 23 Nov 2008 14:43:07 -0500

aoeui (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.7.3
  * Removed homepage link from description and put it in its appropriate field
  * Remove ``.LO 1'' from aoeui.1.m4 since .LO is not recognized by man and
    produces errors, 01_no_LO_in_manpages.diff

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 01 Jun 2008 15:58:32 -0400

aoeui (1.1.0-2) unstable; urgency=low

  * No longer FTBFS if build twice in a row (Closes: #442493)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 28 Oct 2007 17:14:59 -0400

aoeui (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #426963)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 27 May 2007 10:15:51 -0400

=== debian/control ===
Source: aoeui
Section: editors
Priority: optional
Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
Build-Depends: debhelper (>= 8),
 exuberant-ctags,
 m4
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/aoeui/
DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/aoeui.git
Vcs-Git: git://git.debian.org/collab-maint/aoeui.git

Package: aoeui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight, unobtrusive, Dvorak-optimized text editor
 A very small and efficient display editor built upon a philosophy of making
 interaction with UNIX text manipulation commands easy, rather than duplicating
 their features. Its command set is optimized for the Dvorak and QWERTY
 keyboard layouts.
 .
 Also includes asdfg, aoeui's QWERTY variant.

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg\d*$// \
http://code.google.com/p/aoeui/downloads/list \
    http://aoeui.googlecode.com/files/aoeui-([0-9.]+)\.tgz

## aoeui 1.6~dfsg

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
-VERSION = 1.5
+VERSION = 1.6
 PACKAGE = aoeui-$(VERSION)
 SRCS = main.c mem.c die.c display.c text.c file.c locus.c buffer.c \
 	undo.c utf8.c window.c util.c clip.c mode.c search.c \
 	child.c bookmark.c help.c find.c tags.c tab.c fold.c macro.c \
 	keyword.c
 HDRS = all.h buffer.h child.h mode.h text.h locus.h utf8.h display.h \
-	window.h util.h clip.h macro.h mem.h die.h types.h
+	window.h util.h clip.h macro.h mem.h die.h types.h rgba.h
 RELS = $(SRCS:.c=.o)
+LIBS = -lutil
 INST_DIR = $(DESTDIR)/usr
 CFLAGS = -Wall -Wno-parentheses \
 -Wpointer-arith -Wcast-align -Wwrite-strings -Wstrict-prototypes \
@@ -21,19 +22,17 @@
 
 default: optimized display-test aoeui.1 asdfg.1
 
-aoeui: $(RELS) libs
-	$(CC) $(CFLAGS) -o $@ $(RELS) `cat libs`
+aoeui: $(RELS)
+	$(CC) $(CFLAGS) -o $@ $(RELS) $(LIBS)
 $(RELS): $(HDRS)
 help.o: aoeui.help asdfg.help
 aoeui.help: help.m4
 	m4 help.m4 | $(STRINGIFY) >$@
 asdfg.help: help.m4
 	m4 -D ASDFG help.m4 | $(STRINGIFY) >$@
-libs:
-	if [ .`uname -s` = .Linux ]; then echo -lutil; fi >$@
 
-display-test: display-test.o display.o mem.o utf8.o libs
-	$(CC) $(CFLAGS) -o $@ display-test.o display.o mem.o utf8.o `cat libs`
+display-test: display-test.o display.o mem.o utf8.o
+	$(CC) $(CFLAGS) -o $@ display-test.o display.o mem.o utf8.o
 display-test.o: types.h utf8.h display.h
 
 aoeui.1.gz: aoeui.1
@@ -56,7 +55,7 @@
 debug: clean
 	$(MAKE) CFLAGS="-g -O0 -DDEBUG $(CFLAGS)" aoeui
 profile: clean
-	$(MAKE) CFLAGS="-pg $(CFLAGS)" LIBS="$(LIBS) -pg" aoeui
+	$(MAKE) CFLAGS="-pg $(CFLAGS)" aoeui
 
 TAGS: $(SRCS) $(HDRS)
 	$(CTAGS) -x $(SRCS) $(HDRS) >$@
@@ -70,7 +69,7 @@
 	install *.txt $(INST_DIR)/share/aoeui
 	install *.1.gz $(INST_DIR)/share/man/man1
 clean:
-	rm -f *.o *.help libs core gmon.out screenlog.*
+	rm -f *.o *.help core gmon.out screenlog.*
 clobber: clean
 	rm -f aoeui display-test unicode TAGS *.1 *.1.gz *.1.html
 spotless: clobber

=== debian/changelog ===
aoeui (1.6~dfsg-2) unstable; urgency=low

  [ Cyril Roelandt ]
  * No longer FTBFS on hurd, 05_ftbfs_hurd_mremap.diff. (Closes: #670546)

  [ Ryan Kavanagh ]
  * Bump Standards to 3.9.3

 -- Ryan Kavanagh <rak@debian.org>  Fri, 27 Apr 2012 10:52:49 -0400

aoeui (1.6~dfsg-1) unstable; urgency=low

  * Imported Upstream version 1.6
    - Update README.source concerning DFSG cleanup
    - Update copyright file
    - Refreshed patches
  * Fixed watch file
  * Update maintainer address and drop DMUA
  * Bump to Standards version 3.9.2
  * Added DEP3 headers to patches

 -- Ryan Kavanagh <rak@debian.org>  Sat, 28 Jan 2012 11:16:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: aoeui
 Section: editors
 Priority: optional
-Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends: debhelper (>= 8),
  exuberant-ctags,
  m4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/aoeui/
-DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=collab-maint/aoeui.git
 Vcs-Git: git://git.debian.org/collab-maint/aoeui.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	make clobber
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	find debian -type f -name "*.txt" -exec chmod 644 {} \;

override_dh_installchangelogs:
	dh_installchangelogs LOG

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg\d*$// \
http://googlecode.debian.net/p/aoeui/aoeui-(\d+.*)\.tgz

## aoeui 1.7%2B20160302.git4e5dee9

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	make clobber
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) aoeui aoeui.1 asdfg.1

override_dh_auto_install:
	dh_auto_install

override_dh_fixperms:
	find debian/aoeui -type f -name "*.txt" -exec chmod 644 {} \;
	dh_fixperms

override_dh_installchangelogs:
	dh_installchangelogs LOG

## aoeui 1.7+20160302.git4e5dee9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.6
+VERSION = 1.7
 PACKAGE = aoeui-$(VERSION)
 SRCS = main.c mem.c die.c display.c text.c file.c locus.c buffer.c \
 	undo.c utf8.c window.c util.c clip.c mode.c search.c \

=== debian/changelog ===
aoeui (1.7+20160302.git4e5dee9-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #930760)

  [ Ryan Kavanagh ]
  * Update Vcs-* to point to salsa.debian.org
  * Bump standards-version to 4.4.0
  * Drop unneeded target in rules

 -- Ryan Kavanagh <rak@debian.org>  Sat, 17 Aug 2019 11:33:33 -0400

aoeui (1.7+20160302.git4e5dee9-1) unstable; urgency=medium

  * New upstream release (Closes: #827559)
  * Don't mention deprecated tailf(1) (Closes: #785387)
  * Updated watchfile to point to Github
  * Update Homepage
  * Bump to debhelper >= 11 and compat to 11
  * Bump standards-version to 4.1.3
  * Switch to DEP-5 copyright file format
  * Update README.source to describe how we generate the source tarball
  * Reorganise rules file
  * Update gbp.conf with correct branch names
  * Update Vcs-* fields to point to anonscm.debian.org instead of
    git.debian.org
  * Turn on all hardening flags and use Debian's build flag,
    07_buildflags.diff
  * Don't build unneeded utilities: override dh_auto_build to manually invoke
    the make targets we actually care about

 -- Ryan Kavanagh <rak@debian.org>  Thu, 04 Jan 2018 15:25:32 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: editors
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 11),
  exuberant-ctags,
  m4
-Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/aoeui/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/aoeui.git
-Vcs-Git: git://git.debian.org/collab-maint/aoeui.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/pklausler/aoeui
+Vcs-Browser: https://salsa.debian.org/debian/aoeui
+Vcs-Git: https://salsa.debian.org/debian/aoeui.git
 
 Package: aoeui
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,7 @@
 	dh_auto_clean
 
 override_dh_auto_build:
-	$(MAKE) aoeui aoeui.1 asdfg.1
-
-override_dh_auto_install:
-	dh_auto_install
+	dh_auto_build -- aoeui aoeui.1 asdfg.1
 
 override_dh_fixperms:
 	find debian/aoeui -type f -name "*.txt" -exec chmod 644 {} \;

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aoeui-$1\.tar\.gz/ \
  https://github.com/pklausler/aoeui/tags .*/v?(\d\S+)\.tar\.gz
